<?php

//PRO Button

function world_blog_customizer( $wp_customize ) {
class WP_PRO_Customize_Control extends WP_Customize_Control {
    public $type = 'new_menu';
    /**
    * Render the control's content.
    */
    public function render_content() {
    ?>
     <div class="pro-box">
	 <p><?php esc_html_e( 'World blog WordPress theme is a theme that can be used in personal skills, talents, hobbies, multi-purpose categories. Imagine what you can do with this free version', 'world-blog' ); ?>
	 <br>
	 <br>
	 <?php esc_html_e( 'A nice suggestion; ', 'world-blog' ); ?>
     <br>
	 <br>
	 <?php esc_html_e( 'Show free add-ons and blog posts on Wordpress.org in separate pages with category category short codes', 'world-blog' ); ?>
     <br>
	 <br>
	 <?php esc_html_e( 'With mobile menus, you can set your own mobile view via mobile menu extensions . You can find free add-ons and mobile menu extensions on Wordpress.org', 'world-blog' ); ?>
     <br>
	 <br>
	 <?php esc_html_e( 'Or if you want to buy a pro version and import a lot of features and import demo content pages to enjoy the pro version, just press the key below', 'world-blog' ); ?>
	 <br>
	 <br>
	   <a href="<?php echo esc_url('http://www.atlasresponsivetasarim.com/products/world-blog/');?>" target="_blank" class="upgrade" id="review_pro"><?php esc_html_e('Upgrade to PRO','world-blog' ); ?></a>
	</p>	
	</div>
    <?php
    }
}
$wp_customize->add_section( 'world_blog_section' , array(
		'title'      => __('Upgrade to PRO', 'world-blog'),
		'priority'   => 1100,
   	) );

$wp_customize->add_setting(
    'upgrade_pro',
    array(
       'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
    )	
);
$wp_customize->add_control( new WP_PRO_Customize_Control( $wp_customize, 'upgrade_pro', array(
		'section' => 'world_blog_section',
		'setting' => 'upgrade_pro',
    ))
);

}
add_action( 'customize_register', 'world_blog_customizer' );
?>